unit GroupMail;

interface

uses
     //
     SysVars,SysConsts,
     //

  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, CheckLst, Mail2000,MsgDlg;

type
  TForm_GroupMail = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button_OK: TButton;
    Button_Cancel: TButton;
    GroupBox1: TGroupBox;
    Panel3: TPanel;
    CheckListBox_Receiver: TCheckListBox;
    Splitter1: TSplitter;
    GroupBox2: TGroupBox;
    Panel4: TPanel;
    Panel6: TPanel;
    Memo: TMemo;
    Button_MailConfig: TButton;
    ComboBox_Field: TComboBox;
    Button1: TButton;
    SMTP20001: TSMTP2000;
    MailMessage20001: TMailMessage2000;
    GroupBox3: TGroupBox;
    Panel7: TPanel;
    Edit_Subject: TEdit;
    Splitter2: TSplitter;
    procedure Button_CancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button_MailConfigClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure MemoMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure MemoKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
    procedure Button_OKClick(Sender: TObject);
  private
     piPos     : Integer;
     psText    : String;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_GroupMail: TForm_GroupMail;

implementation

uses MailConfig, Main;

{$R *.dfm}

procedure TForm_GroupMail.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_GroupMail.FormShow(Sender: TObject);
var
     sMail     : String;
     I         : Integer;
begin
     //ռ
     CheckListBox_Receiver.Items.Clear;
     try
          MainForm.RemoteADOQuery.DisableControls;
          With MainForm.RemoteADOQuery do begin
               First;
               while not Eof do begin
                    //
                    sMail     := FieldByName('Item'+IntToStr(giMailID)).AsString;
                    CheckListBox_Receiver.Items.Add(FieldByName('Item0').AsString+''+sMail);
                    if Pos('@',sMail)>0 then begin
                         CheckListBox_Receiver.Checked[CheckListBox_Receiver.Items.Count-1]    := True;
                    end;
                    //
                    Next;
               end;
          end;

          //ֶ
          ComboBox_Field.Items.Clear;
          for I:=0 to High(grFields_Member) do begin
               ComboBox_Field.Items.Add(grFields_Member[I].Caption);
          end;
          if ComboBox_Field.Items.Count>0 then begin
               ComboBox_Field.ItemIndex := 0;
          end;
          //Ĭı
          if psText='' then begin
               psText    := Memo.Text;
          end;
          Memo.Text := psText;
          Memo.Lines.Add('               ');
          Memo.Lines.Add('               ');
          Memo.Lines.Add('                               '+gsName);
          Memo.Lines.Add('               ');
          Memo.Lines.Add('                          '+FormatDateTime('yyyyMMdd ',Now));
          //
          piPos     := 36;
          Memo.SelStart  := piPos;
          Memo.SetFocus;
     finally
          MainForm.RemoteADOQuery.EnableControls;
     end;
end;

procedure TForm_GroupMail.Button_MailConfigClick(Sender: TObject);
begin
     Form_MailConfig.ShowModal;
end;

procedure TForm_GroupMail.Button1Click(Sender: TObject);
begin
     Memo.SelText   := '[_'+ComboBox_Field.Text+'_]';
end;

procedure TForm_GroupMail.MemoMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     piPos := Memo.SelStart;
     Caption   := IntToStr(piPos);
end;

procedure TForm_GroupMail.MemoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     piPos := Memo.SelStart;
     Caption   := IntToStr(piPos);

end;

procedure TForm_GroupMail.FormCreate(Sender: TObject);
begin
     psText    := '';
end;

procedure TForm_GroupMail.Button_OKClick(Sender: TObject);
var
     I,J,K     : Integer;
     slText    : TStringList;
     sCur      : String;
     slResult  : TStringList;
begin
     //
     SMTP20001.Host      := gsSMTP;
     SMTP20001.Port      := giPort;
     SMTP20001.Password  := gsPsd;
     SMTP20001.UserName  := gsUser;

     //
     try
          slText    := TStringList.Create;
          slResult  := TStringList.Create;
          Button_Cancel.Enabled    := False;

          //
          MainForm.RemoteADOQuery.First;
          for I:=0 to CheckListBox_Receiver.Items.Count-1 do begin
               if CheckListBox_Receiver.Checked[I] then begin
                    Smtp20001.Connect;
                    Sleep(50);
                    //ռ
                    mailmessage20001.ToList.Clear;
                    mailmessage20001.ToList.Add(CheckListBox_Receiver.Items[I],
                              MainForm.RemoteADOQuery.FieldByName('Item'+IntToStr(giMailID)).AsString);
                    //
                    mailmessage20001.Subject := Edit_Subject.Text;
                    //ĸʼַ
                    mailmessage20001.SetFrom(gsName,gsMail);
                    //Ķռַ
                    // mailmessage20001.SetReceipt('zzz','zzz@zzz.com');
                    //"ظ"ʱʹô˵ַ
                    mailmessage20001.SetReplyTo(gsName,gsMail);

                    //ıʽʼ
                    slText.Text    := Memo.Text;
                    for J:=0 to slText.Count-1 do begin
                         sCur := slText[J];
                         //滻ÿһֵ
                         for K:=0 to High(grFields_Member) do begin
                              sCur := StringReplace(sCur,'[_'+grFields_Member[K].Caption+'_]',
                                        MainForm.RemoteADOQuery.FieldByName('Item'+IntToStr(K)).AsString,
                                        [rfReplaceAll, rfIgnoreCase]);
                         end;
                         slText[J] := sCur;
                    end;
                    //ShowMessage(slText.Text);
                    mailmessage20001.SetTextPlain(slText.Text);
                    //mailmessage20001.AttachFile('d:\inv.xls','',false); //븽

                    Sleep(50);
                    mailmessage20001.FindParts;
                    Sleep(50);
                    mailmessage20001.Normalize();
                    Sleep(50);
                    mailmessage20001.RebuildBody;
                    Sleep(50);
                    smtp20001.SendMessage; //ʼ
                    Sleep(50);
                    slResult.Add(smtp20001.LastResponse); //Ϣ
               end;
               //һ¼
               MainForm.RemoteADOQuery.Next;
          end;
          //
          MessageDialog(#13+'ʼȺ!'+#13,mtInformation,[mbOK],0);

     finally
          slText.Destroy;
          slResult.Destroy;
          Button_Cancel.Enabled    := True;
     end;
end;

end.
