unit NewPhoto;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, GR32_Image,DB, Mask, DBCtrls, XPMenu,
  Buttons, ComCtrls;

type
  TForm_NewPhoto = class(TForm)
    Button_OK: TButton;
    Button_Cancel: TButton;
    XPMenu: TXPMenu;
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    Label_Name: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    Label5: TLabel;
    Panel_Bitmap: TPanel;
    DBImage_NewPhoto: TDBImage;
    DBEdit_Caption: TDBEdit;
    DBEdit_Date: TDBEdit;
    DBEdit_Address: TDBEdit;
    DBEdit_Memo: TDBEdit;
    Button_Load: TSpeedButton;
    CheckBox: TCheckBox;
    CheckBox_Center: TCheckBox;
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_LoadClick(Sender: TObject);
    procedure CheckBoxClick(Sender: TObject);
    procedure CheckBox_CenterClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_NewPhoto: TForm_NewPhoto;

implementation

uses Main;

{$R *.dfm}

procedure TForm_NewPhoto.Button_CancelClick(Sender: TObject);
begin
     MainForm.ADOQuery_photo.Cancel;
     Close;
end;

procedure TForm_NewPhoto.Button_LoadClick(Sender: TObject);
var
     TmpName   : string;
begin
     //޸ͼƬļ
     if MainForm.OpenPictureDialog.Execute then begin
          MainForm.ADOQuery_photo.Edit;
          TBlobField(MainForm.ADOQuery_photo.FieldByName('Ƭ')).LoadFromFile(mainForm.OpenPictureDialog.FileName);
          //**************ϢΪĬϢ**************************//
          TmpName   := MainForm.OpenPictureDialog.FileName;
          if DBEdit_Caption.Text='' then begin
               DBEdit_Caption.Text := ExtractFileName(TmpName);
          end;
          if DBEdit_Date.Text='' then begin
               DBEdit_Date.Text := DateTimeToStr(FileDateToDateTime(FileAge(TmpName)));
          end;
     end;
end;

procedure TForm_NewPhoto.CheckBoxClick(Sender: TObject);
begin
     DBImage_NewPhoto.Stretch := CheckBox.Checked;
end;

procedure TForm_NewPhoto.CheckBox_CenterClick(Sender: TObject);
begin
     DBImage_NewPhoto.Center  := CheckBox_Center.Checked;
end;

end.
