unit PageEdit;

interface

uses
     SysVars,SysConsts,SysRecords,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,  StdCtrls, CheckLst, ComCtrls,
  ExtCtrls,MyFuncs,DBCtrls;

type
  TForm_PageEdit = class(TForm)
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    CheckListBox: TCheckListBox;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    CheckListBox1: TCheckListBox;
    Panel1: TPanel;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    TabSheet7: TTabSheet;
    Button_Rename: TButton;
    Panel2: TPanel;
    Button_OK: TButton;
    Button_Cancel: TButton;
    CheckListBox2: TCheckListBox;
    CheckListBox3: TCheckListBox;
    procedure FormShow(Sender: TObject);
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_OKClick(Sender: TObject);
    procedure Button_RenameClick(Sender: TObject);
    procedure CheckListBoxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_PageEdit: TForm_PageEdit;

implementation

{$R *.dfm}
uses Main;

procedure TForm_PageEdit.FormShow(Sender: TObject);
var
     I,J       : Integer;
     otsPage   : TTabSheet;
     oCheckLB  : TCheckListBox;
     oListBox  : TListBox;
begin
     //ɸҳ(ɾ3:,ϵͱע)
     while PageControl.PageCount>3 do begin
          PageControl.Pages[0].Destroy;
     end;

     //ٸҳòҳ
     for I:=0 to giPageCount-1 do begin
          otsPage   := TTabSheet.Create(PageControl);
          otsPage.PageControl := PageControl;
          otsPage.PageIndex   := I;
          otsPage.Caption     := ' '+grPages[I].Caption;
     end;

     //ɸҳϢ
     for I:=0 to giPageCount-1 do begin
          //CheckListBox
          oCheckLB  := TCheckListBox.Create(nil);
          oCheckLB.Parent     := PageControl.Pages[I];
          oCheckLB.Align      := alClient;
          oCheckLB.Columns    := 2;
          oCheckLB.OnClick    := CheckListBoxClick;

          //Ŀ
          for J:=0 to High(grFields_Member) do begin
               oCheckLB.Items.Add(grFields_Member[J].Caption);
          end;

          //б
          oListBox  := TListBox.Create(nil);
          oListBox.Parent     := PageControl.Pages[I];
          oListBox.Width      := 150;
          oListBox.Align      := alRight;
          oListBox.Color      := clAqua;

          //ѡ
          for J:=0 to grPages[I].FieldIDs.Count-1 do begin
               oCheckLB.Checked[StrToIntDef(grPages[I].FieldIDs[J],-1)]    := True;
               oListBox.Items.Add(oCheckLB.Items[StrToIntDef(grPages[I].FieldIDs[J],-1)]);
          end;

     end;
     //ҳ
     PageControl.Pages[Length(grPages)-3].Caption := grPages[Length(grPages)-3].Caption;
     //ϵҳ
     PageControl.Pages[Length(grPages)-2].Caption := grPages[Length(grPages)-2].Caption;
     //עҳ
     PageControl.Pages[Length(grPages)-1].Caption := grPages[Length(grPages)-1].Caption;
     //
     PageControl.ActivePageIndex   := MainForm.PageControl_Detail.ActivePageIndex;
end;

procedure TForm_PageEdit.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_PageEdit.Button_OKClick(Sender: TObject);
var
     I,J,K,FID      : Integer;
     S              : String;
     TmpTop         : Integer;
     TmpLeft        : Integer;
     TmpWidth       : Integer;
     MyDBComboBox   : TDBComboBox;
     MyDBEdit       : TDBEdit;
     MyLabel        : TLabel;
     //MyXPMenu       : TXpMenu;
     oCheckLB       : TCheckListBox;
     oListBox       : TListBox;
begin

     //-------------------------浽grPages-----------------------------------------------------//
     //ǰҳ
     for I:=0 to Length(grPages)-4 do begin
          with grPages[I] do begin
               Caption  := PageControl.Pages[I].Caption;
               FieldIDs.Clear;
               oCheckLB  := PageControl.Pages[I].Controls[0] as TCheckListBox;
               oListBox  := PageControl.Pages[I].Controls[1] as TListBox;
               for J:=0 to oListBox.Items.Count-1 do begin
                    for K:=0 to oCheckLB.Items.Count-1 do begin
                         if oCheckLB.Items[K]=oListBox.Items[J] then begin
                              FieldIDs.Add(IntToStr(K));
                              break;
                         end;
                    end;
               end;
          end;
          //浽ݿ
          MainForm.ExecuteSQL('UPDATE PageConfig'
                    +' SET ItemIDs='''+grPages[I].FieldIDs.Text+''''
                    +' WHERE ID='+IntToStr(I));
     end;


     //-----------------------ˢʾ------------------------------------------------------//
     MainForm.CreatePages;
     MainForm.PageControl_Detail.ActivePageIndex  := 0;
     //
     Close;

end;

procedure TForm_PageEdit.Button_RenameClick(Sender: TObject);
var
     S    : string;
     ID,I : Integer;
begin
     ID   := PageControl.ActivePageIndex;
     S    := PageControl.ActivePage.Caption;

     if MyInputQuery('','Ϊǰҳ ',S) then begin
          try
               grPages[ID].Caption := S;
               //浽ݿ
               MainForm.ExecuteSQL('UPDATE PageConfig SET Caption='''+S+''''
                         +' WHERE ID='+IntToStr(ID));
               //ˢµǰGRID
               MainForm.PageControl_Detail.Pages[ID].Caption  := S;
               PageControl.ActivePage.Caption         := S;
          except
          end;
     end;
end;

procedure TForm_PageEdit.CheckListBoxClick(Sender: TObject);
var
     iID  : Integer;
     oCLB : TCheckListBox;
     oLB  : TListBox;
     I    : Integer;
begin
     oCLB := TCheckListBox(Sender);
     oLB  := TListBox(oCLB.Parent.Controls[1]);
     iID  := oCLB.ItemIndex;
     if oCLB.Checked[iID] then begin
          oLB.Items.Add(oCLB.Items[iID]);
     end else begin
          for I:=0 to oLB.Items.Count-1 do begin
               if oLB.Items[I]=oCLB.Items[iID] then begin
                    oLB.Items.Delete(I);
                    break;
               end;
          end;
     end;

end;

end.
