unit ResumeFieldEdit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ComCtrls, XPButton,MyFuncs, StdCtrls, ExtCtrls;

type
  TForm_ResumeFieldEdit = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Panel1: TPanel;
    Panel2: TPanel;
    Button_OK: TButton;
    Button_Cancel: TButton;
    StringGrid: TStringGrid;
    procedure FormShow(Sender: TObject);
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_ResumeFieldEdit: TForm_ResumeFieldEdit;

implementation

{$R *.dfm}
uses Main,DataHouse;
procedure TForm_ResumeFieldEdit.FormShow(Sender: TObject);
var
     I,J  : Integer;
     S    : String;
begin
     //
     StringGrid.Cells[0,0]    := ' ';
     StringGrid.Cells[1,0]    := ' ʾ';
     StringGrid.Cells[2,0]    := ' ѡ(öŸ)';
     StringGrid.RowCount      := Length(Fields_Member)+1;
     //

     for I:=0 to High(Fields_Resume) do begin
          StringGrid.Cells[0,I+1]  := Fields_Resume[I].Caption;
          StringGrid.Cells[1,I+1]  := IntToStr(Fields_Resume[I].ViewWidth);
          S    := '';
          for J:=0 to Fields_Resume[I].SelList.Count-1 do begin
               S    := S+Fields_Resume[I].SelList[J]+',';
          end;
          if Fields_Resume[I].SelList.Count>0 then begin
               Delete(S,Length(S),1);
          end;
          StringGrid.Cells[2,I+1]  := S;
     end;
end;

procedure TForm_ResumeFieldEdit.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_ResumeFieldEdit.Button_OKClick(Sender: TObject);
var
     I    : Integer;
     S    : String;
begin
     //浽Fields_Family
     for I:=0 to High(Fields_Resume) do begin
          Fields_Resume[I].Caption      := StringGrid.Cells[0,I+1];
          Fields_Resume[I].ViewWidth    := StrToIntDef(StringGrid.Cells[1,I+1],80);
          Fields_Resume[I].SelList      := StrToSelList(StringGrid.Cells[2,I+1]);
     end;
     //浽ļ
     MyFieldsToFile(Fields_Resume,gsMainDir+'\Main.ini','Resume');
     //ˢʾ
     for I:=0 to High(Fields_Resume) do begin
          MainForm.DBGrid_Resume.Columns[I].Title.Caption   := Fields_Resume[I].Caption;
          MainForm.DBGrid_Resume.Columns[I].Width           := Fields_Resume[I].ViewWidth;
     end;
     Close;
end;

end.
