unit Main;

interface

uses
     wxoExec,
     XPMan,
     ShellAPI,
     CloneComponents,
     XMLDoc,XMLIntf,
     Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
     Dialogs, AdvSmoothMenu, StdCtrls, ExtCtrls, jpeg, Menus, ComCtrls,
     RzPanel, RzPopups, Buttons;

type
  TMainForm = class(TForm)
    Panel_All: TPanel;
    Panel_Buttons: TPanel;
    Panel_Contact: TPanel;
    Panel_Order: TPanel;
    Panel_Download: TPanel;
    Panel_QuickStart: TPanel;
    Panel_Demo: TPanel;
    Panel_Home: TPanel;
    Panel1: TPanel;
    Panel_Title: TPanel;
    Label1: TLabel;
    Panel_Context: TPanel;
    Panel_Right: TPanel;
    PageControl: TPageControl;
    TabSheet_Home: TTabSheet;
    TabSheet_Demo: TTabSheet;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    MonthCalendar: TMonthCalendar;
    Label6: TLabel;
    Panel_DownLoadOrder: TPanel;
    TabSheet_QuickStart: TTabSheet;
    TabSheet_Download: TTabSheet;
    TabSheet_Order: TTabSheet;
    TabSheet_Contact: TTabSheet;
    Panel2: TPanel;
    Label22: TLabel;
    Panel3: TPanel;
    Label39: TLabel;
    Panel6: TPanel;
    Label40: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    Label46: TLabel;
    Label47: TLabel;
    Panel_Image: TPanel;
    Image_Banner: TImage;
    Image_L: TImage;
    Label2: TLabel;
    Panel_Space: TPanel;
    Panel_App: TPanel;
    Panel9: TPanel;
    ScrollBox: TScrollBox;
    Label_Memo: TLabel;
    Panel_Source: TPanel;
    SpeedButton1: TSpeedButton;
    Panel_AppName: TPanel;
    SpeedButton4: TSpeedButton;
    SpeedButton_SDK: TSpeedButton;
    SpeedButton_ORDER: TSpeedButton;
    Panel_Doc: TPanel;
    Label7: TLabel;
    Panel8: TPanel;
    Panel11: TPanel;
    SpeedButton3: TSpeedButton;
    Panel7: TPanel;
    Label8: TLabel;
    Panel10: TPanel;
    Panel12: TPanel;
    SpeedButton2: TSpeedButton;
    Panel13: TPanel;
    Label9: TLabel;
    Panel14: TPanel;
    Panel15: TPanel;
    SpeedButton_Guide: TSpeedButton;
    Panel17: TPanel;
    Panel18: TPanel;
    Panel19: TPanel;
    Label13: TLabel;
    Label12: TLabel;
    Label11: TLabel;
    Label32: TLabel;
    Panel20: TPanel;
    Label14: TLabel;
    Panel21: TPanel;
    Panel22: TPanel;
    SpeedButton7: TSpeedButton;
    Panel23: TPanel;
    Label15: TLabel;
    Panel24: TPanel;
    Panel25: TPanel;
    SpeedButton8: TSpeedButton;
    Panel26: TPanel;
    Label16: TLabel;
    Panel27: TPanel;
    Panel28: TPanel;
    SpeedButton9: TSpeedButton;
    Panel29: TPanel;
    Label17: TLabel;
    Panel30: TPanel;
    Panel31: TPanel;
    SpeedButton10: TSpeedButton;
    Panel32: TPanel;
    Label18: TLabel;
    Panel33: TPanel;
    Panel34: TPanel;
    SpeedButton11: TSpeedButton;
    Panel35: TPanel;
    Label19: TLabel;
    Panel36: TPanel;
    Panel37: TPanel;
    SpeedButton12: TSpeedButton;
    Panel38: TPanel;
    Panel39: TPanel;
    Panel41: TPanel;
    Label21: TLabel;
    Panel42: TPanel;
    Panel43: TPanel;
    SpeedButton14: TSpeedButton;
    Memo1: TMemo;
    Memo_GH: TMemo;
    Memo_ZFB: TMemo;
    Panel44: TPanel;
    Label24: TLabel;
    Panel45: TPanel;
    Panel46: TPanel;
    SpeedButton5: TSpeedButton;
    Label20: TLabel;
    procedure Panel_HomeMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormShow(Sender: TObject);
    procedure Panel_HomeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Panel_ButtonsMouseMove(Sender: TObject; Shift: TShiftState;
      X, Y: Integer);
    procedure FormMouseWheel(Sender: TObject; Shift: TShiftState;
      WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton_SDKClick(Sender: TObject);
    procedure SpeedButton_ORDERClick(Sender: TObject);
    procedure SpeedButton14Click(Sender: TObject);
    procedure SpeedButton13Click(Sender: TObject);
    procedure Label40Click(Sender: TObject);
    procedure Label42Click(Sender: TObject);
    procedure Label41Click(Sender: TObject);
    procedure Label46Click(Sender: TObject);
    procedure TabSheet_OrderResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
     MainForm  : TMainForm;
     //
     gsMainDir : string; //Ŀ¼
const
     sWebsite  = 'http://www.web0000.com/';     //'http://127.0.0.1:8080/';//

implementation

{$R *.dfm}

procedure TMainForm.Panel_HomeMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
     oPanel    : TPanel;
     oParPanel : TPanel;
     I         : Integer;
begin

     //ɫ
     oParPanel := TPanel(TPanel(Sender).Parent);
     for I:=0 to oParPanel.ControlCount-1 do begin
          oPanel    := TPanel(oParPanel.Controls[I]);
          if oPanel<>TPanel(Sender) then begin
               oPanel.Font    := oParPanel.Font;
               oPanel.Color   := oParPanel.Color;
          end;
     end;

     //õǰ
     oPanel    := TPanel(Sender);
     oPanel.Color   := RGB(153,0,0);
     oPanel.Font.Style   := [fsBold];
end;

procedure TMainForm.FormShow(Sender: TObject);
var
     I,J       : Integer;
     oPanel    : TPanel;
     oName     : TSpeedButton;
     oMemo     : TLabel;
     oSource   : TSpeedButton;
     xdDemos   : TXMLDocument;
     xnApps    : IXMLNode;
     xnApp     : IXMLNode;
begin
     //ĬΪҳ
     PageControl.ActivePageIndex  := 0;

     //
     xdDemos   := TXMLDocument.Create(self);
     xdDemos.Active := True;
     xdDemos.LoadFromFile(gsMainDir+'Apps.xml');

     //
     xnApps    := xdDemos.DocumentElement.ChildNodes['Apps'];
     for I:=0 to xnApps.ChildNodes.Count-1 do begin
          xnApp     := xnApps.ChildNodes[I];
          //
          oPanel    := TPanel(CloneComponent(Panel_App));
          oPanel.Visible := True;
          oPanel.Top     := 9999;
          if I mod 2 =1 then begin
               oPanel.Color   := RGB(250,250,250);
          end;
          //
          for J:=0 to oPanel.ControlCount-1 do begin
               case oPanel.Controls[J].Tag of
                    100 : begin
                         oName     := TSpeedButton(TPanel(oPanel.Controls[J]).Controls[0]);
                    end;
                    101 : begin
                         oMemo     := TLabel(oPanel.Controls[J]);
                    end;
                    102 : begin
                         oSource     := TSpeedButton(TPanel(oPanel.Controls[J]).Controls[0]);
                    end;
               end;
          end;
          //
          oName.Caption  := xnApp.Attributes['Name'];
          oName.Hint     := sWebsite + 'demo2400/index.htm?'+xnApp.Attributes['Url'];
          oMemo.Caption  := xnApp.Attributes['Text'];
          //
          if xnApp.HasAttribute('Source') then begin
               oSource.Hint   := sWebsite + 'source2400/'+xnApp.Attributes['Url']+'.zip';
          end else begin
               oSource.Visible     := False;
          end;



     end;
end;

procedure TMainForm.Panel_HomeClick(Sender: TObject);
begin
     PageControl.ActivePageIndex  := TPanel(Sender).Tag;
     Panel_Buttons.Tag   := PageControl.ActivePageIndex;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
     I         : Integer;
begin
     //
     wxoPrepare(Handle,Application.Handle);

     //PageControlı
     for I:=0 to PageControl.PageCount-1 do begin
          PageControl.Pages[I].TabVisible    := False;
     end;

     //
     gsMainDir := ExtractFilePath(Application.ExeName);

     //
     MonthCalendar.Date  := Now;
end;

procedure TMainForm.Panel_ButtonsMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var
     I         : Integer;
     oPanel    : TPanel;
begin
     for I:=0 to Panel_Buttons.ControlCount-1 do begin
          oPanel    := TPanel(Panel_Buttons.Controls[I]);
          if oPanel.Tag = Panel_Buttons.Tag then begin
               oPanel.Color        := RGB(153,0,0);
               oPanel.Font.Style   := [fsBold];
          end else begin
               oPanel.Color        := RGB(190,0,0);
               oPanel.Font.Style   := [];
          end;
     end;
end;

procedure TMainForm.FormMouseWheel(Sender: TObject; Shift: TShiftState;
  WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
begin
     if PageControl.ActivePageIndex = 2 then begin
          if WheelDelta < 0 then
               ScrollBox.Perform(WM_VSCROLL, SB_LINEDOWN, 0)
          else
               ScrollBox.Perform(WM_VSCROLL, SB_LINEUP, 0);
     end;

end;

procedure TMainForm.SpeedButton4Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar(TSpeedButton(Sender).Hint), nil,nil,sw_shownormal);
end;

procedure TMainForm.SpeedButton_SDKClick(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://www.web0000.com/webxone.zip'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.SpeedButton_ORDERClick(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://item.taobao.com/item.htm?id=25900796206'),
          nil,nil,sw_shownormal);


end;

procedure TMainForm.SpeedButton14Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://item.taobao.com/item.htm?id=25900796206'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.SpeedButton13Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://item.taobao.com/item.htm?id=16620405765'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.Label40Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://www.web0000.com'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.Label42Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://www.teoxu.com'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.Label41Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('mailto:fenglinyushu@163.com'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.Label46Click(Sender: TObject);
begin
     ShellExecute(handle,nil,pchar('http://bbs.web0000.com'),
          nil,nil,sw_shownormal);

end;

procedure TMainForm.TabSheet_OrderResize(Sender: TObject);
begin
     Memo_ZFB.Width := TabSheet_Order.Width div 3;
     Memo_GH.Width  := TabSheet_Order.Width div 3;
end;

end.
