unit CallPhone;

interface

uses
     SysConsts,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons,MsgDlg;

type
  TForm_Call = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button_OK: TButton;
    Button_Cancel: TButton;
    Button_BackSpace: TSpeedButton;
    ComboBox: TComboBox;
    Button_Config: TButton;
    Edit_Prefix: TEdit;
    procedure Button_OKClick(Sender: TObject);
    procedure Button_BackSpaceClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button_ConfigClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_Call: TForm_Call;

implementation

{$R *.dfm}
uses Main;

procedure TForm_Call.Button_OKClick(Sender: TObject);
var
     S    : String;
begin
     if MainForm.Comm.GetModemState<>0 then begin
          //
          S    := 'ATD'+Edit_Prefix.Text+ComboBox.Text+#13;
          MainForm.Comm.WriteCommData(Pchar(S),Length(S)+1);
     end else begin
          MessageDialog(#13+'ڽͲ绰ĵƽ˿ڲȷ,Ƚ!',mtInformation,[mbOK],0);
          Button_Config.OnClick(Self);
          Edit_Prefix.Text    := MainForm.GetSystemByID(siPhonePrefix);
     end;
end;

procedure TForm_Call.Button_BackSpaceClick(Sender: TObject);
var
     sTmp : String;
begin
     sTmp := Trim(ComboBox.Text);
     if Length(sTmp)>0 then begin
          Delete(sTmp,Length(sTmp),1);
          ComboBox.Text  := sTmp;
     end;
end;

procedure TForm_Call.Button1Click(Sender: TObject);
begin
     ComboBox.Text  := ComboBox.Text+TButton(Sender).Caption;

end;

procedure TForm_Call.Button_ConfigClick(Sender: TObject);
begin
     MainForm.TBXItem_PhoneConfig.OnClick(self);
     Edit_Prefix.Text    := MainForm.GetSystemByID(siPhonePrefix);
end;

procedure TForm_Call.FormShow(Sender: TObject);
begin
     Edit_Prefix.Text    := MainForm.GetSystemByID(siPhonePrefix);
end;

end.
