unit DataImport;

interface

uses
     SysVars,SysConsts,SysRecords,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, BaseGrid, AdvGrid,  StdCtrls, ExtCtrls,MsgDlg,
  DB, ADODB, RemoteAdoUnit, AdvObj;

type
  TForm_Import = class(TForm)
    ListBox_Source: TListBox;
    Panel1: TPanel;
    ListBox_Dest: TListBox;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    ListBox_Link: TListBox;
    Button_Add: TButton;
    Button_Del: TButton;
    Button_Auto: TButton;
    Button_Clear: TButton;
    Buttom_Import: TButton;
    Button_Cancel: TButton;
    AdvStringGrid: TAdvStringGrid;
    Label_FileName: TLabel;
    Button_ByName: TButton;
    RemoteAdoQuery: TRemoteAdoQuery;
    procedure Button_AddClick(Sender: TObject);
    procedure Button_ClearClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button_AutoClick(Sender: TObject);
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_DelClick(Sender: TObject);
    procedure Buttom_ImportClick(Sender: TObject);
    procedure Button_ByNameClick(Sender: TObject);
  private
    { Private declarations }
  public
     procedure AddSourceList;
     procedure AddDestList;
     
    { Public declarations }
  end;

var
     Form_Import    : TForm_Import;
     I,J,L          : Integer;

implementation

{$R *.dfm}
uses Main,MyFuncs;

procedure TForm_Import.AddDestList;
begin
     //Ŀݿֶб
     ListBox_Dest.Items.Clear;
     for I:=0 to High(grFields_Member) do begin
          ListBox_Dest.Items.Add('['+IntToStr(I)+']'+grFields_Member[I].Caption);
     end;
     
     //עֶ
     ListBox_Dest.Items.Add('['+IntToStr(giMemberFieldCount-2)+']ע');
end;

procedure TForm_Import.AddSourceList;
begin
     //ݿֶ
     ListBox_Source.Items.Clear;
     for I:=0 to AdvStringGrid.ColCount-1 do begin
          ListBox_Source.Items.Add('['+IntToStr(I)+']'+AdvStringGrid.Cells[I,0]);
     end;
end;

procedure TForm_Import.Button_AddClick(Sender: TObject);
var
     Src  : Integer;
     Dest : Integer;
begin
     if ListBox_Source.ItemIndex<0 then begin
          ShowMessage('ѡһԴֶ!');
          Exit;
     end;
     if ListBox_Dest.ItemIndex<0 then begin
          ShowMessage('ѡһԱϢֶ!');
          Exit;
     end;

     //ӶӦϵ
     Src  := ListBox_Source.ItemIndex;
     Dest := ListBox_Dest.ItemIndex;
     ListBox_Link.Items.Add(ListBox_Source.Items[Src]+' ---> '
               +ListBox_Dest.Items[ListBox_Dest.Itemindex]);
     //ɾǰֶ
     ListBox_Source.Items.Delete(Src);
     ListBox_Dest.Items.Delete(Dest);

end;

procedure TForm_Import.Button_ClearClick(Sender: TObject);
begin
     //
     for I:= ListBox_Link.Items.Count-1 downto 0 do begin
          ListBox_Link.ItemIndex   := I;
          Button_Del.OnClick(self);
     end;
end;

procedure TForm_Import.FormShow(Sender: TObject);
begin
     //ԴֶϢ
     AddSourceList;
     //ӳԱϢֶϢ
     AddDestList;
     //նӦϵ
     ListBox_Link.Items.Clear;
     //
     //Button_Auto.OnClick(Self);
end;

procedure TForm_Import.Button_AutoClick(Sender: TObject);
begin
     //
     for I:=0 to ListBox_Source.Items.Count-1 do begin
          ListBox_Source.ItemIndex := 0;
          ListBox_Dest.ItemIndex := 0;
          //
          Button_Add.OnClick(self);
          //
          if ListBox_Dest.Items.Count<=0 then begin
               Exit;
          end;
     end;
end;

procedure TForm_Import.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_Import.Button_DelClick(Sender: TObject);
var
     Src  : Integer;
     Dest : Integer;
     S    : String;
     I,P  : Integer;
     Cur  : Integer;
begin
     //
     if ListBox_Link.ItemIndex<0 then begin
          ShowMessage('ѡһӦϵ!');
          Exit;
     end;
     //ԴֶID
     S    := ListBox_Link.Items[ListBox_Link.ItemIndex];
     P    := Pos(']',S);
     Src  := StrToInt(copy(S,2,P-2));
     //DESTֶID
     Delete(S,1,P);
     P    := Pos('[',S);
     Delete(S,1,P);
     P    := Pos(']',S);
     Dest := StrToInt(copy(S,1,P-1));

     //ɾӦϵ
     ListBox_Link.DeleteSelected;

     //ԭԴֶ
     if ListBox_Source.Items.Count=0 then begin
          ListBox_Source.Items.Add('['+IntToStr(Src)+']'+AdvStringGrid.Cells[Src,0]);
     end else begin
          for I:=ListBox_Source.Items.Count-1 downto 0 do begin
               S    := ListBox_Source.Items[I];
               Cur  := StrToInt(Copy(S,2,Pos(']',S)-2));
               if Cur<Src then begin
                    ListBox_Source.Items.Insert(I+1,'['+IntToStr(Src)+']'+AdvStringGrid.Cells[Src,0]);
                    break;
               end else if I=0 then begin
                    ListBox_Source.Items.Insert(I,'['+IntToStr(Src)+']'+AdvStringGrid.Cells[Src,0]);
                    break;
               end;
          end;
     end;

     //ԭĿֶ
     if ListBox_Dest.Items.Count=0 then begin
          ListBox_Dest.Items.Add('['+IntToStr(Dest)+']'+grFields_Member[Dest].Caption);
     end else begin
          for I:=ListBox_Dest.Items.Count-1 downto 0 do begin
               S    := ListBox_Dest.Items[I];
               Cur  := StrToInt(Copy(S,2,Pos(']',S)-2));
               if Cur<Dest then begin
                    ListBox_Dest.Items.Insert(I+1,'['+IntToStr(Dest)+']'+grFields_Member[Dest].Caption);
                    break;
               end else if I=0 then begin
                    ListBox_Dest.Items.Insert(I,'['+IntToStr(Dest)+']'+grFields_Member[Dest].Caption);
                    break;
               end;
          end;
     end;
end;

procedure TForm_Import.Buttom_ImportClick(Sender: TObject);
var
     Links     : array of TPoint;
     S,sID     : string;
     P         : Integer;
     Src,Dest  : integer;
     sNewName  : String;
begin
     try
          //޶ӦϵʱĴ
          if ListBox_Link.Items.Count<=0 then begin
               MessageDialog(chr(13)+'-----   һӦϵ!   -----'
                         +Chr(13),mtInformation, [mbOk], 0);
               Exit;
          end;

          //ݿ
          sNewName  := ''+DateTimeToStr(Now);
          MainForm.ExecuteSQL('INSERT INTO Groups(LinkID,Ord,Name) '
                    +'VALUES(0,'+IntToStr(MainForm.TreeView.Items[0].Count-1)+','''+sNewName+''')');
          //ȡID
          MainForm.ExeAQ(RemoteADOQuery,'SELECT Max(ID) FROM Groups');
          sID  := RemoteADOQuery.Fields[0].AsString;

          //TreeView
          with MainForm do begin
               with TreeView.Items.AddChild(TreeView.Items[0],sNewName) do begin
                    Selected  := True;
                    StateIndex     := StrToInt(sID);
               end;
               TreeView.Update;
          end;

          //ȡԶӦ
          SetLength(Links,ListBox_Link.Items.Count);
          for I:=0 to ListBox_Link.Items.Count-1 do begin
               //ԴֶID
               S    := ListBox_Link.Items[I];
               P    := Pos(']',S);
               Src  := StrToInt(copy(S,2,P-2));
               //DESTֶID
               Delete(S,1,P);
               P    := Pos('[',S);
               Delete(S,1,P);
               P    := Pos(']',S);
               Dest := StrToInt(copy(S,1,P-1));
               //
               Links[I].X     := Src;
               Links[I].Y     := Dest;
          end;


          //ݵ
          for I:=1 to AdvStringGrid.RowCount-1 do begin
               //
               try
                    MainForm.RemoteADOQuery.Append;
                    for J:=0 to High(Links) do begin
                         MainForm.RemoteADOQuery.FieldByName('Item'+IntToStr(Links[J].Y)).AsString := AdvStringGrid.Cells[Links[J].X,I];
                    end;
                    MainForm.RemoteADOQuery.FieldByName('GroupIDs').AsString := ','+sID+',';
                    MainForm.RemoteADOQuery.Post;
               except
               end;
          end;
          MainForm.TBXItem_Save.OnClick(self);
          MessageDialog(chr(13)+'-----   ɹ!   -----'
                    +Chr(13),mtInformation, [mbOk], 0);
          Close;
     except
     end;
end;

//ƽжӦ
procedure TForm_Import.Button_ByNameClick(Sender: TObject);
var
     I,J  : Integer;
     sSource   : String;
     sDest     : String;
     slTmp     : TStringList;
begin
     //
     ListBox_Link.Items.Clear;
     for I:=ListBox_Source.Items.Count-1 downto 0 do begin
          //
          for J:=ListBox_Dest.Items.Count-1 downto 0 do begin
               //ȡԴ
               sSource   := ListBox_Source.Items[I];
               Delete(sSource,1,Pos(']',sSource));
               //ȡĿ
               sDest     := ListBox_Dest.Items[J];
               Delete(sDest,1,Pos(']',sDest));

               if sSource=sDest then begin
                    ListBox_Source.ItemIndex := I;
                    ListBox_Dest.ItemIndex   := J;
                    //
                    Button_Add.OnClick(self);
                    //
                    break;
               end;
          end;
     end;

     //ԭΪ

     slTmp     := TStringList.Create;
     for I:=0 to ListBox_Link.Items.Count-1 do begin
          slTmp.Add(ListBox_Link.Items[I]);
     end;
     ListBox_Link.Items.Clear;
     for I:= slTmp.Count-1 downto 0 do begin
          ListBox_Link.Items.Add(slTmp[I]);
     end;
     slTmp.Destroy;
end;

end.
