unit DelMember;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, ADODB,ComCtrls,MsgDlg, RemoteAdoUnit;

type
  TForm_DelMember = class(TForm)
    Label1: TLabel;
    ListBox: TListBox;
    Panel1: TPanel;
    Panel2: TPanel;
    Button_DelLink: TButton;
    Button_Cancel: TButton;
    Button_DelMember: TButton;
    RemoteAdoQuery_Del: TRemoteAdoQuery;
    procedure Button_CancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button_DelLinkClick(Sender: TObject);
    procedure Button_DelMemberClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_DelMember: TForm_DelMember;

implementation

uses  Main;

{$R *.dfm}

procedure TForm_DelMember.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_DelMember.FormShow(Sender: TObject);
var
     sGID      : string;
     sGName    : string;
     tnTmp     : TTreeNode;
     I         : Integer;
begin
     //õǰԱϢ
     ListBox.Items.Clear;
     MainForm.ExeAQ(RemoteAdoQuery_Del,'SELECT ID,Name FROM Groups WHERE ID IN '
               +'(SELECT GroupID FROM PersonLink WHERE PersonID='+IntToStr(iPersonID)+')');
     while not RemoteAdoQuery_Del.Eof do begin
          sGID      := RemoteAdoQuery_Del.FieldByName('ID').AsString;
          tnTmp     := nil;
          for I:=0 to MainForm.TreeView.Items.Count-1 do begin
               if Integer(MainForm.TreeView.Items[I].Data)=StrToInt(sGID) then begin
                    tnTmp     := MainForm.TreeView.Items[I];
                    break;
               end;
          end;
          sGName    := tnTmp.Text;;
          while tnTmp.Level>1 do begin
               tnTmp     := tnTmp.Parent;
               sGName    := tnTmp.Text+'->'+sGName;
          end;
          ListBox.Items.Add('['+sGID+']:'+sGName);

          //
          RemoteAdoQuery_Del.Next;
     end;

end;

procedure TForm_DelMember.Button_DelLinkClick(Sender: TObject);
var
     iPos      : Integer;
     sGrpID    : string;
begin
     //
     if ListBox.ItemIndex=-1 then begin
          MessageDialog(#13+#13+'ѡһϵ!'+#13+#13,mtConfirmation, [mbOK], 0);
          Exit;
     end;
     //
     sGrpId    := ListBox.Items[ListBox.ItemIndex];
     iPos      := Pos(']:',sGrpID);
     sGrpID    := Copy(sGrpID,2,iPos-2);
     DM.ADOConnection.Execute('DELETE FROM PersonLink WHERE PersonID='+IntToStr(iPersonID)+' AND GroupID='+sGrpID);
     //
     Close;
end;

procedure TForm_DelMember.Button_DelMemberClick(Sender: TObject);
begin
     //
     if MessageDialog('ȷҪɾǰԱ?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     begin
          //ɾϵ
          DM.ADOConnection.Execute('DELETE FROM PersonLink WHERE PersonID='+IntToStr(iPersonID));

          //ɾǰԱ
          MainForm.ADOQuery_Member.Delete;
          //
          Close;
     end;
end;

end.
