unit MailConfig;

interface

uses
     SysConsts,SysVars,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,EncryptIt;

type
  TForm_MailConfig = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button_OK: TButton;
    Button_Cancel: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Edit_SMTP: TEdit;
    Label2: TLabel;
    Edit_Name: TEdit;
    Label3: TLabel;
    Edit_User: TEdit;
    Label4: TLabel;
    Edit_Psd: TEdit;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    ComboBox_MailID: TComboBox;
    Panel3: TPanel;
    Label6: TLabel;
    Edit_Port: TEdit;
    Label7: TLabel;
    Edit_Mail: TEdit;
    procedure Button_CancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button_OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_MailConfig: TForm_MailConfig;

implementation

{$R *.dfm}
uses Main;

procedure TForm_MailConfig.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_MailConfig.FormShow(Sender: TObject);
var
     I    : Integer;
begin
     //
     Edit_SMTP.Text := gsSMTP;
     Edit_Port.Text := IntToStr(giPort);
     Edit_Name.Text := gsName;
     Edit_User.Text := gsUser;
     Edit_Mail.Text := gsMail;
     Edit_Psd.Text  := gsPsd;
     //
     ComboBox_MailID.Items.Clear;
     for I:=0 to High(grFields_Member) do begin
          ComboBox_MailID.Items.Add(grFields_Member[I].Caption);
     end;
     if giMailID<ComboBox_MailID.Items.Count then begin
          ComboBox_MailID.ItemIndex     := giMailID;
     end;
end;

procedure TForm_MailConfig.Button_OKClick(Sender: TObject);
begin
     //浽ڴ
     gsSMTP    := Edit_SMTP.Text;
     giPort    := StrToIntDef(Edit_Port.Text,25);
     gsName    := Edit_Name.Text;
     gsUser    := Edit_User.Text;
     gsMail    := Edit_Mail.Text;
     gsPsd     := Edit_Psd.Text;
     giMailID  := ComboBox_MailID.ItemIndex;

     //浽ݿ
     MainForm.SetSystemByID(gsSMTP,siMailSMTP);
     MainForm.SetSystemByID(IntToStr(giPort),siMailPort);
     MainForm.SetSystemByID(gsName,siMailName);
     MainForm.SetSystemByID(gsUser,siMailUser);
     MainForm.SetSystemByID(gsMail,siMailMail);
     MainForm.SetSystemByID(EncryptKey(gsPsd,'3_A'),siMailPassword);
     MainForm.SetSystemByID(IntToStr(giMailID),siMailID);

     //
     Close;
end;

end.
