unit Stat;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, Mask, RzEdit, RzBtnEdt,
  Buttons, DB, ADODB,MsgDlg,Types,ComObj, Menus, RemoteAdoUnit;

type
     TStatExpression = record
          Field     : String;
          Compare   : String;
          Value     : String;
     end;
  TForm_Stat = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button_OK: TButton;
    Button_Cancel: TButton;
    PageControl1: TPageControl;
    TabSheet3: TTabSheet;
    ListView: TListView;
    Memo_Detail: TMemo;
    Splitter2: TSplitter;
    Panel5: TPanel;
    Panel_Top: TPanel;
    Label1: TLabel;
    ComboBox: TComboBox;
    Label2: TLabel;
    ButtonEdit: TRzButtonEdit;
    Button_AddReport: TSpeedButton;
    Button_DelReport: TSpeedButton;
    Button_NewExpression: TSpeedButton;
    Button_EditExpression: TSpeedButton;
    Button_DelExpression: TSpeedButton;
    Button_RenameReport: TSpeedButton;
    OpenDialog: TOpenDialog;
    Button_CloneExpression: TSpeedButton;
    PopupMenu: TPopupMenu;
    PopMenu_Add: TMenuItem;
    PopMenu_Clone: TMenuItem;
    PopMenu_Edit: TMenuItem;
    PopMenu_Del: TMenuItem;
    Button_MoveUp: TSpeedButton;
    Button_MoveDown: TSpeedButton;
    N1: TMenuItem;
    PopMenu_MoveUp: TMenuItem;
    PopMenu_MoveDown: TMenuItem;
    RemoteAdoQuery: TRemoteAdoQuery;
    procedure FormShow(Sender: TObject);
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_OKClick(Sender: TObject);
    procedure Button_AddReportClick(Sender: TObject);
    procedure ComboBoxChange(Sender: TObject);
    procedure ButtonEditButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button_EditExpressionClick(Sender: TObject);
    procedure ListViewChange(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure Button_NewExpressionClick(Sender: TObject);
    procedure Button_DelExpressionClick(Sender: TObject);
    procedure Button_CloneExpressionClick(Sender: TObject);
    procedure Button_MoveUpClick(Sender: TObject);
    procedure Button_MoveDownClick(Sender: TObject);
    procedure Button_DelReportClick(Sender: TObject);
  private
     function  StrToExpression(S:String):TStatExpression;
    { Private declarations }
  public
     procedure ListViewToDataBase(Name:String);
    { Public declarations }
  end;

var
     Form_Stat : TForm_Stat;
     gsMainDir : String;

implementation

{$R *.dfm}

uses DataHouse, NewStat;

procedure TForm_Stat.FormShow(Sender: TObject);
begin
     //ɱ
     ComboBox.Items.Clear;
     DM.ExeAQ(RemoteADOQuery,'SELECT * FROM Stat');
     while not RemoteADOQuery.Eof do begin
          ComboBox.Items.Add(RemoteADOQuery.FieldByName('Name').AsString);
          //
          RemoteADOQuery.Next;
     end;
     //
     if ComboBox.Items.Count>0 then begin
          ComboBox.ItemIndex  := 0;
          ComboBox.OnChange(Self);
     end;

end;

procedure TForm_Stat.Button_CancelClick(Sender: TObject);
begin
     Close;
end;

procedure TForm_Stat.Button_OKClick(Sender: TObject);  //ʼͳ
type
     TExcelValue = record
          Row       : Integer;
          Col       : Integer;
          Value     : Integer;
     end;
var
     I,J       : Integer;
     iPos      : Integer;
     ExcelID   : Variant;
     sExcel    : String;
     sTmp      : String;
     sExpr     : String;
     bFound    : Boolean;
     rValues   : array of TExcelValue;
begin
     //--------------------------쳣---------------------------------------------------------//
     sExcel    := gsMainDir+ButtonEdit.Text;
     if not FileExists(sExcel) then begin
          MessageDialog(#13+#13+'Ҳļ,Ŀ¼еļ!'+#13+#13+sExcel,mtError,[mbOK],0);
          Exit;
     end else begin
          CopyFile(Pchar(sExcel),Pchar(gsMainDir+'temp.xls'),False);
          sExcel    := gsMainDir+'temp.xls';
     end;

     //---------------------------ֵ------------------------------------------------------//
     SetLength(rValues,ListView.Items.Count);
     for I:=0 to ListView.Items.Count-1 do begin
          //------õк
          sTmp := ListView.Items[I].SubItems[1];
          iPos := Pos(',',sTmp);
          rValues[I].Row := StrToIntDef(Copy(sTmp,2,iPos-2),-999);
          rValues[I].Col := StrToIntDef(Copy(sTmp,iPos+1,Length(sTmp)-iPos-1),-999);
          if (rValues[I].Row=-999)or(rValues[I].Col=-999) then begin
               MessageDialog(#13+#13+'дλת!'+#13+#13+sTmp,mtError,[mbOK],0);
               Exit;
          end;

          //-----ɲѯַ
          sTmp := ListView.Items[I].SubItems[0];
          //תֶ
          for J:=0 to Form_NewStat.ComboBox_Field.Items.Count-1 do begin
               sTmp := StringReplace(sTmp,Form_NewStat.ComboBox_Field.Items[J],'Item'+IntToStr(J),[rfReplaceAll]);
          end;
          //Ԥ
          sTmp := StringReplace(sTmp,']','}',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'[','{',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'>=',']',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'<=','[',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'<>','#',[rfReplaceAll]);
          //""
          sTmp := StringReplace(sTmp,')',''')',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'=','=''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,']',']''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'[','[''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'>','>''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'<','<''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'}''',''')',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'{','(''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,',',''',''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'#','#''',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'like',' like ''%',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'in',' in ',[rfReplaceAll]);
          //Ԥ
          sTmp := StringReplace(sTmp,']','>=',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'[','<=',[rfReplaceAll]);
          sTmp := StringReplace(sTmp,'#','<>',[rfReplaceAll]);
          //like%
          iPos :=0;
          bFound    := False;
          while iPos<=Length(sTmp) do begin
               if sTmp[iPos]='%' then begin
                    bFound    := True;
                    //
                    Inc(iPos);
               end else if bFound and (sTmp[iPos]='''') then begin
                    sTmp := Copy(sTmp,1,iPos-1)+'%'+Copy(sTmp,iPos,Length(sTmp)-iPos+1);
                    bFound    := False;
                    //
                    Inc(iPos);
               end;
               //
               Inc(iPos);
          end;

          //-----ͳƳֵ
          sTmp := 'select Count(*) AS AAA FROM ('+DM.RemoteADOQuery.SQL.Text+') WHERE '+sTmp;
          //sTmp := 'SELECT Count(*) AS AAA FROM Member WHERE '+sTmp;
          DM.ExeAQ(RemoteADOQuery,sTmp);
          rValues[I].Value    := RemoteADOQuery.FieldByName('AAA').AsInteger;
     end;

     //---------------------------ʾ--------------------------------------------------------//
     //
     ExcelID := CreateOleObject( 'Excel.Application' );
     //) ʾǰڣ
     ExcelID.Visible := True;

     //2)  Excel 
     ExcelID.Caption := 'ͨͳ';

     //3) ¹
     //ExcelID.WorkBooks.Add;

     //4) ѴڵĹ
     ExcelID.WorkBooks.Open(sExcel,null,true,null,null,null,null,null,null,null,null,null,null,0);

     //6) Ԫֵ
     for I:=0 to High(rValues) do begin
          ExcelID.Cells[rValues[I].Row,rValues[I].Col].Value     := rValues[I].Value;
     end;
     ExcelID.ActiveSheet.PageSetup.Zoom := 100;
     //18) ӡԤ
     //ExcelID.ActiveSheet.PrintPreview;

     //22) ̣
     ExcelID.ActiveWorkBook.Saved := True;
     //
     //ExcelID.Visible := False;

     //رչ
     //ExcelID.WorkBooks.Close;
     //
     //ExcelID.Close;

     //24) ˳ Excel
     //ExcelID.Quit;

     //
     //ExcelID   := Null;


end;

procedure TForm_Stat.Button_AddReportClick(Sender: TObject);
var
     sName     : String;
begin
     //
     if InputQuery('ͳ','ͳƱ            ',sName) then begin
          sName     := Trim(sName);
          if sName<>'' then begin
               DM.ExecuteSQL('INSERT INTO Stat(Mode,Name) VALUES(1,'''+sName+''')');
               ComboBox.Items.Add(sName);
               ComboBox.ItemIndex  := ComboBox.Items.Count-1;
          end else begin
               MessageDialog(#13+'ͳƱƲΪ!',mtInformation,[mbOK],0);
          end;
     end;
end;

procedure TForm_Stat.ComboBoxChange(Sender: TObject);
var
     sName     : String;
     sTmp      : String;
     slExpr    : TStringList;
     I,iPos    : Integer;
begin
     try
          slExpr    := TStringList.Create;
          //
          sName     := ComboBox.Text;
          //
          DM.ExeAQ(RemoteADOQuery,'SELECT * FROM Stat WHERE Name='''+sName+'''');
          //ʾEXCELļ
          ButtonEdit.EditText := RemoteADOQuery.FieldByName('Excel').AsString;
          //
          slExpr.Clear;
          slExpr.Text    := RemoteADOQuery.FieldByName('Express').AsString;
          ListView.Items.Clear;
          for I:=0 to slExpr.Count-1 do begin
               sTmp := slExpr[I];
               iPos := Pos(';',sTmp);
               if iPos<=0 then begin
                    Continue;
               end; 
               with ListView.Items.Add do begin
                    Caption   := Copy(sTmp,1,iPos-1);
                    //
                    sTmp := Copy(sTmp,iPos+1,Length(sTmp)-iPos);
                    iPos := Pos(';',sTmp);
                    SubItems.Add(Copy(sTmp,1,iPos-1));
                    //
                    sTmp := Copy(sTmp,iPos+1,Length(sTmp)-iPos);
                    SubItems.Add(sTmp);

               end;
          end;
     finally
          slExpr.Destroy;
     end;
end;

procedure TForm_Stat.ButtonEditButtonClick(Sender: TObject);
var
     sTmp : String;
begin
     //
     if not OpenDialog.Execute then Exit;
     //Ƶǰļ
     sTmp := ExtractFileName(OpenDialog.FileName);
     CopyFile(Pchar(OpenDialog.FileName),PChar(gsMainDir+sTmp),False);
     //
     ButtonEdit.Text     := sTmp;
     DM.ExecuteSQL('UPDATE Stat SET Excel='''+sTmp+''''
               +' WHERE Name='''+ComboBox.Text+'''');
end;

procedure TForm_Stat.FormCreate(Sender: TObject);
begin
     gsMainDir := ExtractFilePath(Application.ExeName); 
end;

procedure TForm_Stat.Button_EditExpressionClick(Sender: TObject);
var
     sTmp      : String;
     sExpr     : String;
     I,iPos    : Integer;
     rExpr     : TStatExpression;
begin
     if ListView.Selected=nil then Exit;
     //------------------------------ñ༭-------------------------------------------------//
     //
     Form_NewStat.Edit_Name.Text   := ListView.Selected.Caption;
     //λ
     sTmp := ListView.Selected.SubItems[1];
     Delete(sTmp,1,1);
     Delete(sTmp,Length(sTmp),1);
     iPos := Pos(',',sTmp);
     Form_NewStat.SpinEdit_Row.IntValue := StrToIntDef(Copy(sTmp,1,iPos-1),0);
     Form_NewStat.SpinEdit_Col.IntValue := StrToIntDef(Copy(sTmp,iPos+1,Length(sTmp)-iPos),0);
     //ʽ
     Form_NewStat.ListView.Items.Clear;
     sTmp := ListView.Selected.SubItems[0];
     iPos := Pos('and',sTmp);
     while iPos>0 do begin
          sExpr     := Copy(sTmp,1,iPos-1);
          rExpr     := StrToExpression(sExpr);
          with Form_NewStat.ListView.Items.Add do begin
               Caption   := rExpr.Field;
               SubItems.Add(rExpr.Compare);
               SubItems.Add(rExpr.Value);
          end;
          //
          Delete(sTmp,1,iPos+2);
          sTmp := Trim(sTmp);
          iPos := Pos('and',sTmp);
     end;
     //
     if sTmp<>'' then begin
          rExpr     := StrToExpression(sTmp);
          with Form_NewStat.ListView.Items.Add do begin
               Caption   := rExpr.Field;
               SubItems.Add(rExpr.Compare);
               SubItems.Add(rExpr.Value);
          end;
     end;

     Form_NewStat.Edit_Value.Text  := '';
     Form_NewStat.ExprIndex        := -1;

     //---------------------------ñ༭ͳƴ------------------------------------------------//
     Form_NewStat.ShowModal;

     //------------------------ý-------------------------------------------------------//
     if Form_NewStat.Tag=0 then Exit;
     if ListView.Selected=nil then Exit;
     
     //ӵǰ±ʽ
     with ListView.Selected do begin
          Caption   := Form_NewStat.ExprCaption;
          SubItems[0]    := Form_NewStat.Expression;
          SubItems[1]    := Form_NewStat.WritePosition;
     end;
     //
     Memo_Detail.Text    := ListView.Selected.SubItems[0];
     //浽ݿ
     ListViewToDataBase(ComboBox.Text);



end;

procedure TForm_Stat.ListViewChange(Sender: TObject; Item: TListItem;
  Change: TItemChange);
begin
     //̬ȷťĿ
     Button_EditExpression.Enabled := ListView.Selected<>nil;
     BUtton_DelExpression.Enabled  := Button_EditExpression.Enabled;
     Button_CloneExpression.Enabled:= Button_EditExpression.Enabled;
     
     //
     if Item=nil then Exit;
     if Item.SubItems.Count<=0 then Exit;
     //
     Memo_Detail.Text    := Item.SubItems[0];
end;

procedure TForm_Stat.Button_NewExpressionClick(Sender: TObject);
begin
     //ͳƴ
     Form_NewStat.Edit_Name.Text   := '±ʽ';
     Form_NewStat.Edit_Value.Text  := '';
     Form_NewStat.ExprIndex        := -1;
     Form_NewStat.ShowModal;

     //Խд
     if Form_NewStat.Tag=0 then Exit;

     //ӵǰ±ʽ
     with ListView.Items.Add do begin
          Caption   := Form_NewStat.ExprCaption;
          SubItems.Add(Form_NewStat.Expression);
          SubItems.Add(Form_NewStat.WritePosition);
     end;
     //浽ݿ
     ListViewToDataBase(ComboBox.Text);
end;


procedure TForm_Stat.ListViewToDataBase(Name: String);
var
     slTmp     : TStringList;
     sExpr     : String;
     I         : Integer;
begin
     try
          slTmp     := TStringList.Create;
          for I:=0 to ListView.Items.Count-1 do begin
               sExpr     := ListView.Items[I].Caption+';'+ListView.Items[I].SubItems[0]+';'+ListView.Items[I].SubItems[1];
               slTmp.Add(sExpr);
          end;
          //
          DM.ExecuteSQL('UPDATE Stat SET Express='''+slTmp.Text+''''
               +' WHERE Name='''+Name+'''');
     finally
          slTmp.Destroy;
     end;
end;

procedure TForm_Stat.Button_DelExpressionClick(Sender: TObject);
begin
     if ListView.Selected=nil then Exit;

     //
     if MessageDialog(#13+'ȷҪɾǰ?'#13+#13+'"'+ListView.Selected.Caption+'"'+#13,
               mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     begin
          ListView.Selected.Delete;
          //浽ݿ
          ListViewToDataBase(ComboBox.Text);
     end;
end;

procedure TForm_Stat.Button_CloneExpressionClick(Sender: TObject);
begin
     if ListView.Selected=nil then Exit;

     //
     with ListView.Items.Add do begin
          //
          Caption   := ListView.Selected.Caption;
          SubItems.Add(ListView.Selected.SubItems[0]);
          SubItems.Add(ListView.Selected.SubItems[1]);
     end;
     //浽ݿ
     ListViewToDataBase(ComboBox.Text);
end;

function TForm_Stat.StrToExpression(S: String): TStatExpression;
var
     iPos      : Integer; 
begin

     //ұȽϷ
     if Pos('like',S)>0 then begin
          Result.Compare := 'like';
     end else if Pos('in',S)>0 then begin
          Result.Compare := 'in';
     end else if Pos('<>',S)>0 then begin
          Result.Compare := '<>';
     end else if Pos('>=',S)>0 then begin
          Result.Compare := '>=';
     end else if Pos('<=',S)>0 then begin
          Result.Compare := '<=';
     end else if Pos('>',S)>0 then begin
          Result.Compare := '>';
     end else if Pos('<',S)>0 then begin
          Result.Compare := '<';
     end else if Pos('=',S)>0 then begin
          Result.Compare := '=';
     end else begin
          MessageDialog(#13+'ָ!'+#13+#13+'"'+S+'"'+#13,mtInformation,[mbOK],0);
          Exit;
     end;
     //ɾǰ
     Delete(S,1,1);
     Delete(S,Length(S),1);
     //
     iPos := Pos(Result.Compare,S);
     Result.Field   := Copy(S,1,iPos-1);
     Result.Value   := Copy(S,iPos+Length(Result.Compare),1000);

end;

procedure TForm_Stat.Button_MoveUpClick(Sender: TObject);
var
     S0,S1,S2  : String;
     iID       : Integer;
begin
     if ListView.Selected=nil then Exit;
     if ListView.Selected.Index =0 then Exit;
     //
     s0   := ListView.Selected.Caption;
     s1   := ListView.Selected.SubItems[0];
     s2   := ListView.Selected.SubItems[1];
     //
     iID  := ListView.Selected.Index;
     ListView.Selected.Caption     := ListView.Items[iID-1].Caption;
     ListView.Selected.SubItems[0] := ListView.Items[iID-1].SubItems[0];
     ListView.Selected.SubItems[1] := ListView.Items[iID-1].SubItems[1];
     //
     ListView.Items[iID-1].Caption      := S0;
     ListView.Items[iID-1].SubItems[0]  := S1;
     ListView.Items[iID-1].SubItems[1]  := S2;
     ListView.Items[iID-1].Selected     := True;
     //浽ݿ
     ListViewToDataBase(ComboBox.Text);

end;

procedure TForm_Stat.Button_MoveDownClick(Sender: TObject);
var
     S0,S1,S2  : String;
     iID       : Integer;
begin
     if ListView.Selected=nil then Exit;
     if ListView.Selected.Index =ListView.Items.Count-1 then Exit;
     //
     s0   := ListView.Selected.Caption;
     s1   := ListView.Selected.SubItems[0];
     s2   := ListView.Selected.SubItems[1];
     //
     iID  := ListView.Selected.Index;
     ListView.Selected.Caption     := ListView.Items[iID+1].Caption;
     ListView.Selected.SubItems[0] := ListView.Items[iID+1].SubItems[0];
     ListView.Selected.SubItems[1] := ListView.Items[iID+1].SubItems[1];
     //
     ListView.Items[iID+1].Caption      := S0;
     ListView.Items[iID+1].SubItems[0]  := S1;
     ListView.Items[iID+1].SubItems[1]  := S2;
     ListView.Items[iID+1].Selected     := True;
     //浽ݿ
     ListViewToDataBase(ComboBox.Text);
end;

procedure TForm_Stat.Button_DelReportClick(Sender: TObject);
begin
     if ComboBox.Items.Count=0 then Exit;
     
     //
     if MessageDialog(#13+'ȷҪɾǰͳ?'#13+#13+'"'+ComboBox.Text+'"'+#13,
               mtConfirmation, [mbYes, mbNo], 0) = mrYes then
     begin
          //
          DM.ExecuteSQL('DELETE FROM Stat WHERE Name='''+ComboBox.Text+'''');
     end;
end;

end.
